#!/bin/bash

# modify the paths to match the location of your own script
# protect this script (this can be done at the end of the script)
chown 0:80 ~/Library/Scripts/Unix/afterReboot.sh
chmod 0550 ~/Library/Scripts/Unix/afterReboot.sh

# this can be omitted if you don't need verbose feedback
echo -n 'Post-reboot maintenance started on '
date '+%Y.%m.%d at %H:%M:%S.'

echo 'Step 1 of 2: Checking syntax of preference lists...'
plutil -s /Library/Preferences/*.plist ~/Library/Preferences/*.plist
echo 'Step 1 completed. 2 to go.'

# this can be omitted if your computer never sleeps during the night
echo 'Step 2 of 2: Running periodic scripts...'
periodic daily weekly monthly
echo 'Step 2 completed.'

# this can be omitted if you don't need verbose feedback
echo -n 'Done. Post-reboot maintenance completed on '
date '+%Y.%m.%d %H:%M:%S.'

# if you prefer to protect this script at the end, put the first 2 lines of this script here